Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007817TestLinkAvailable Fixespublic2017-01-21 10:212017-06-17 17:36
Reporterfman 
Assigned To 
PrioritynormalSeveritytextReproducibilityN/A
StatusnewResolutionopen 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version 
Summary0007817: Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub
DescriptionRepository on GitHub

Availables hot-fixes for 1.9.16

Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot

Get latest package with all fixes from GitHub, using wget
wget https://github.com/TestLinkOpenSourceTRMS/testlink-code/archive/testlink_1_9.zip [^] [^]




Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot
Additional InformationDB Changes since latest stable version (1.9.16)

NEW OBJECTS - Views

CREATE VIEW /*prefix*/latest_tcase_version_number
AS SELECT NH_TC.id AS testcase_id,max(TCV.version) AS version
FROM /*prefix*/nodes_hierarchy NH_TC
JOIN /*prefix*/nodes_hierarchy NH_TCV
ON NH_TCV.parent_id = NH_TC.id
JOIN /*prefix*/tcversions TCV
ON NH_TCV.id = TCV.id
GROUP BY testcase_id;


CREATE VIEW /*prefix*/latest_req_version
AS SELECT RQ.id AS req_id,max(RQV.version) AS version
FROM /*prefix*/nodes_hierarchy NHRQV
JOIN /*prefix*/requirements RQ
ON RQ.id = NHRQV.parent_id
JOIN /*prefix*/req_versions RQV
ON RQV.id = NHRQV.id
GROUP BY RQ.id;

CREATE VIEW /*prefix*/latest_rspec_revision
AS SELECT RSR.parent_id AS req_spec_id, RS.testproject_id AS testproject_id,
MAX(RSR.revision) AS revision
FROM /*prefix*/req_specs_revisions RSR
JOIN /*prefix*/req_specs RS
ON RS.id = RSR.parent_id
GROUP BY RSR.parent_id,RS.testproject_id;

NEW RIGHTS
INSERT INTO /*prefix*/rights (id,description) VALUES (49,'exec_ro_access');

database version update
INSERT INTO /*prefix*/db_version (version,notes,upgrade_ts) VALUES('DB 1.9.17', 'TestLink 1.9.17 Alan Turing',CURRENT_TIMESTAMP());
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
parent of 0007825resolvedfman ldap mail configuration for mail, firstname and surname do not follow standard for multiple LDAP Servers cfg 
parent of 0007830resolvedfman 'Show [$num] entries' value chosen by user should be rememebered for given view 
parent of 0007835resolvedfman HTML definition is not correct - effect on IE11 
parent of 0007843resolvedfman Unable to export Matrix Results in excel format with PHP7 
parent of 0007798resolvedfman Debug code left: file_put_contents(/development/var/tracer.log) 
parent of 0007848assignedfman Several files with parse errors on PHP 7.1 
parent of 0007847resolvedfman Tests are not listed with PHP 7.1 
parent of 0007844resolvedfman Statut don't appear in email version 
parent of 0007859resolvedfman General Test Plan Metrics - send by mail refactoring 
parent of 0007656closedfman tl.updateTestCase updates executed testcase allthough user does not have permission 
parent of 0007864resolvedfman Execute test status icons do not work with FIREFOX 
parent of 0007873assignedfman Search on multiple entities (Test Case,Test Suites,Req. Spec,Req) on one shot 
parent of 0007874assignedfman Authentication via WEBSERVER Variable to integrate SAML (Shibboleth Service Provider) 
parent of 0007875resolvedfman new method setTestCaseTestSuite 
parent of 0007827resolvedfman Extend API to get ALL runs on a certain build - new function getExecutionResult 
parent of 0007886resolvedfman Mandatory custom fields do not work with execution icons 
parent of 0007891resolvedfman Display Testcase Status in Add/remove Testcase page 
parent of 0007885resolvedfman Option to set Execution Type in bulk mode in test cases table view feature 
parent of 0007882assignedfman Execution Attachments direct download 
parent of 0007898closedfman Problems with the display of test cases (reason: <body id="cke_pastebin") 
parent of 0007899closedfman Search by Custom Field value, left tree has right result, while right pane show less results 
parent of 0007904resolvedfman Manage user expiration date 
parent of 0007917closedfman Error clicking the button "Bulk Monitoring", located in Requirement Operations. 
parent of 0007910resolvedfman Direct Link to testcase doesn't work ON FIREFOX 
parent of 0007922resolvedfman Add option to update execution type on ALL test case steps, when changing on Test Case 
parent of 0007911resolvedfman direct link to testcase execution doesn't work 
parent of 0007916closedfman Search by Custom Field value, left tree has right result, while right pane show more results (Both CF has SAME VALUE) 
parent of 0007919resolvedfman Cannot use string offset as an array 
parent of 0007924assignedfman issueTrackerEdit.php post 500 
parent of 0007925resolvedfman DonĀ“t show the custom fields date format. - CUSTOM FIELD FOR BUILD 
parent of 0007936resolvedfman Unable to display Charts - PHP 7.1 
parent of 0007949assignedfman Main page after login - minor refactoring to use bootstrap 
parent of 0007946resolvedfman Filters With KeyWords : Operator And/Or same result 
parent of 0007973resolvedfman Possibility of configuring bigger execution icons 
parent of 0007976resolvedfman Custom field of type list always displayed expanded in tree filters 
parent of 0007978resolvedfman Make step status available in test specification execution history 
parent of 0007964resolvedfman issue in the way error handling is performed under "Assign Test case execution" 
parent of 0007941resolvedfman New user redirect not working in firstlogin.php 
related to 0007930resolvedfman Bulk user assignment does not work 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-01-21 10:21 fman New Issue
2017-01-21 10:22 fman Summary LLL => Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub
2017-01-21 10:22 fman Description Updated View Revisions
2017-01-21 10:23 fman Description Updated View Revisions
2017-01-21 10:23 fman Sticky Issue No => Yes
2017-01-25 20:15 fman Relationship added parent of 0007825
2017-01-27 20:25 fman Relationship added parent of 0007830
2017-02-02 22:37 fman Relationship added parent of 0007835
2017-02-03 19:15 fman Relationship added parent of 0007843
2017-02-03 19:20 fman Relationship added parent of 0007798
2017-02-08 22:13 fman Relationship added parent of 0007848
2017-02-08 22:13 fman Relationship added parent of 0007847
2017-02-19 12:51 fman Relationship added parent of 0007844
2017-02-25 10:15 fman Relationship added parent of 0007859
2017-02-26 19:31 fman Relationship added parent of 0007656
2017-03-06 19:07 fman Relationship added parent of 0007864
2017-03-11 16:19 fman Relationship added parent of 0007873
2017-03-12 09:11 fman Relationship added parent of 0007874
2017-03-12 21:49 fman Relationship added parent of 0007875
2017-03-13 22:31 fman Relationship added parent of 0007827
2017-03-19 10:44 fman Relationship added parent of 0007886
2017-03-21 22:00 fman Relationship added parent of 0007891
2017-03-22 04:19 fman Note Added: 0026158
2017-03-22 04:19 fman Additional Information Updated View Revisions
2017-03-22 04:19 fman Note Deleted: 0026158
2017-03-22 04:20 fman Additional Information Updated View Revisions
2017-03-22 04:21 fman Additional Information Updated View Revisions
2017-03-22 05:28 fman Relationship added parent of 0007885
2017-03-22 18:17 fman Relationship added parent of 0007882
2017-03-25 09:08 fman Relationship added parent of 0007898
2017-03-25 15:16 fman Relationship added parent of 0007899
2017-03-28 21:17 fman Relationship added parent of 0007904
2017-04-08 08:27 fman Relationship added parent of 0007917
2017-04-15 18:27 fman Relationship added parent of 0007910
2017-04-15 18:28 fman Relationship added parent of 0007922
2017-04-15 18:30 fman Relationship added parent of 0007911
2017-04-16 09:38 fman Relationship added parent of 0007916
2017-04-18 21:24 fman Relationship added parent of 0007919
2017-04-19 20:54 fman Relationship added parent of 0007924
2017-04-27 18:30 fman Relationship added related to 0007930
2017-04-27 20:52 fman Relationship added parent of 0007925
2017-05-18 19:25 fman Relationship added parent of 0007936
2017-05-27 14:44 fman Relationship added parent of 0007949
2017-06-10 08:31 fman Relationship added parent of 0007946
2017-06-11 19:45 fman Relationship added parent of 0007973
2017-06-17 16:56 fman Relationship added parent of 0007976
2017-06-17 16:57 fman Relationship added parent of 0007978
2017-06-17 17:18 fman Relationship added parent of 0007964
2017-06-17 17:36 fman Relationship added parent of 0007941



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker